GensivDocs
AcademyAPI referenceMCP

Basics

OverviewAuthenticationRate limitsErrors

Endpoints

List actions GETAdd action POSTGet action GETUpdate action PATCH
Actions

Get action GET

One action with its evidence and activity.

List articles GET

Created or refreshed documents, newest first.

Gensiv

Resources

AcademyWebsiteBlogGlossary

Developer tools

API referenceMCP serverChangelog

Support

Contact supportGetting startedRate limits

© 2026 Gensiv. All rights reserved.

Actions

Update action

PATCH
/brands/{brandId}/actions/{actionId}

Change an action's status, severity, assignee, title or description.

Authorization

apiKey write
headerx-api-key<token>

Workspace API key from Settings > API keys. Also accepted as Authorization: Bearer gsk_...

Scope: write

Path Parameters

brandId*string
Formatuuid
actionId*string
Formatuuid

Request Body

application/json
  1. body
  1. body
  2. …
title?string
Length1 <= length <= 200
description?string
Length1 <= length <= 10000
status?string
Value in"suggested""todo""in_progress""done""dismissed"
severity?|
Value in"critical""high""medium""low"null
assigneeId?|
Formatuuid

Response Body

Action saved

application/json
  1. response
  1. response
  2. …
id*string
Formatuuid
kind*string
Value in"content_gap""sentiment""reddit""outreach""setup""custom"
status*string
Value in"suggested""todo""in_progress""done""dismissed"
severity*|
Value in"critical""high""medium""low"null
title*string
description*string
ctaLabel*string|null
ctaHref*string|null
source*string
Value in"user""system"
assignee*|null
statusChangedAt*string
createdAt*string
details*|null
createdBy*|null
activity*array<>
activityTotal*integer
Example Request
curl -X PATCH 'https://app.gensiv.com/api/v1/brands/497f6eca-6276-4993-bfeb-53cbbbba6f08/actions/497f6eca-6276-4993-bfeb-53cbbbba6f08' \  -H 'Content-Type: application/json' \  -d '{}'
Example Response
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "kind": "content_gap",  "status": "suggested",  "severity": "critical",  "title": "string",  "description": "string",  "ctaLabel": "string",  "ctaHref": "string",  "source": "user",  "assignee": {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "name": "string",    "email": "string",    "image": "string"  },  "statusChangedAt": "string",  "createdAt": "string",  "details": {    "property1": null,    "property2": null  },  "createdBy": {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "name": "string",    "email": "string",    "image": "string"  },  "activity": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "kind": "created",      "user": {        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",        "name": "string",        "email": "string",        "image": "string"      },      "from": "string",      "to": "string",      "body": "string",      "at": "string"    }  ],  "activityTotal": 0}

Get action GET

One action with its evidence and activity.

List articles GET

Created or refreshed documents, newest first.

Start free trial
Start free trial
Example Request
curl -X PATCH 'https://app.gensiv.com/api/v1/brands/497f6eca-6276-4993-bfeb-53cbbbba6f08/actions/497f6eca-6276-4993-bfeb-53cbbbba6f08' \
  -H 'Content-Type: application/json' \
  -d '{}'
{
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  "kind": "content_gap",
  "status": "suggested",
  "severity": "critical",
  "title": "string",
  "description": "string",
  "ctaLabel": "string",
  "ctaHref": "string",
  "source": "user",
  "assignee": {
    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
    "name": "string",
    "email": "string",
    "image": "string"
  },
  "statusChangedAt": "string",
  "createdAt": "string",
  "details": {
    "property1": null,
    "property2": null
  },
  "createdBy": {
    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
    "name": "string",
    "email": "string",
    "image": "string"
  },
  "activity": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "kind": "created",
      "user": {
        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
        "name": "string",
        "email": "string",
        "image": "string"
      },
      "from": "string",
      "to": "string",
      "body": "string",
      "at": "string"
    }
  ],
  "activityTotal": 0
}